org.eclipse.emf.cdo.view

## Interface CDOInvalidationPolicy

-     public interface CDOInvalidationPolicy

  A strategy interface to customize the invalidation behavior of a `view`.
  Since:
    3.0
  Author:
    Eike Stepper
  See Also:
    `CDOView.Options.setInvalidationPolicy(CDOInvalidationPolicy)`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CDOInvalidationPolicy` | `DEFAULT`
    `static CDOInvalidationPolicy` | `RELAXED`
    `static CDOInvalidationPolicy` | `STRICT`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleInvalidation(CDOObject object, CDORevisionKey key)`
    `void` | `handleInvalidObject(CDOObject object)`

- - ### Field Detail

    - #### STRICT

          static final CDOInvalidationPolicy STRICT

      Since:
        4.2

    - #### RELAXED

          static final CDOInvalidationPolicy RELAXED

    - #### DEFAULT

          static final CDOInvalidationPolicy DEFAULT

  - ### Method Detail

    - #### handleInvalidation

          void handleInvalidation(CDOObject object,
                                  CDORevisionKey key)

    - #### handleInvalidObject

          void handleInvalidObject(CDOObject object)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html